summaryrefslogtreecommitdiff
path: root/tests/ln/backup-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ln/backup-1.sh')
-rwxr-xr-xtests/ln/backup-1.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/ln/backup-1.sh b/tests/ln/backup-1.sh
new file mode 100755
index 0000000..068ca46
--- /dev/null
+++ b/tests/ln/backup-1.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Try to create a symlink with backup where the destination file exists
+# and the backup file name is a hard link to the destination file.
+
+# Copyright (C) 1999-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Based on a problem report from Jamie Lokier.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ ln
+
+touch a b || framework_failure_
+
+ln b b~ || fail=1
+ln -f --b=simple a b || fail=1
+
+Exit $fail